@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&family=Outfit:wght@100..900&family=Comfortaa:wght@300..700&display=swap&subset=japanese");
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font: inherit;
  font-size: 100%;
  vertical-align: baseline;
}

html {
  line-height: 1.15;
}

ol, ul {
  list-style: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

caption, th, td {
  text-align: left;
  font-weight: normal;
  vertical-align: middle;
}

q, blockquote {
  quotes: none;
}

q:before, q:after, blockquote:before, blockquote:after {
  content: "";
  content: none;
}

a img {
  border: none;
}

article, aside, details, figcaption, figure, footer, header, hgroup, main, menu, nav, section, summary {
  display: block;
}

@keyframes program-marquee {
  0%, 15% {
    transform: translateX(0);
  }
  85%, 100% {
    transform: translateX(calc(-1 * var(--scroll-distance, 0px)));
  }
}
:root {
  --bk: #000;
  --bk00: rgb(0 0 0 / 0);
  --bk05: rgb(0 0 0 / .05);
  --bk10: rgb(0 0 0 / .10);
  --bk15: rgb(0 0 0 / .15);
  --bk20: rgb(0 0 0 / .20);
  --bk25: rgb(0 0 0 / .25);
  --bk30: rgb(0 0 0 / .30);
  --bk35: rgb(0 0 0 / .35);
  --bk40: rgb(0 0 0 / .40);
  --bk45: rgb(0 0 0 / .45);
  --bk50: rgb(0 0 0 / .50);
  --bk55: rgb(0 0 0 / .55);
  --bk60: rgb(0 0 0 / .60);
  --bk65: rgb(0 0 0 / .65);
  --bk70: rgb(0 0 0 / .70);
  --bk75: rgb(0 0 0 / .75);
  --bk80: rgb(0 0 0 / .80);
  --bk85: rgb(0 0 0 / .85);
  --bk90: rgb(0 0 0 / .90);
  --bk95: rgb(0 0 0 / .95);
  --wh: #fff;
  --wh00: rgb(255 255 255 / 0);
  --wh05: rgb(255 255 255 / .05);
  --wh10: rgb(255 255 255 / .10);
  --wh15: rgb(255 255 255 / .15);
  --wh20: rgb(255 255 255 / .20);
  --wh25: rgb(255 255 255 / .25);
  --wh30: rgb(255 255 255 / .30);
  --wh35: rgb(255 255 255 / .35);
  --wh40: rgb(255 255 255 / .40);
  --wh45: rgb(255 255 255 / .45);
  --wh50: rgb(255 255 255 / .50);
  --wh55: rgb(255 255 255 / .55);
  --wh60: rgb(255 255 255 / .60);
  --wh65: rgb(255 255 255 / .65);
  --wh70: rgb(255 255 255 / .70);
  --wh75: rgb(255 255 255 / .75);
  --wh80: rgb(255 255 255 / .80);
  --wh85: rgb(255 255 255 / .85);
  --wh90: rgb(255 255 255 / .90);
  --wh95: rgb(255 255 255 / .95);
  --mPink: #fa69a0;
  --mYellow: #f0d20a;
  --mBlue: #7ddce1;
  --rOrange: #fa9100;
  --rYellow: #dcb90f;
  --tPink: #eb50a0;
  --tBlue: #14bee6;
}

html {
  scroll-behavior: smooth;
}

html, body, input, button, textarea, select {
  font-family: "Outfit", "Noto Sans JP", sans-serif;
  font-size: 1rem;
  font-weight: 400;
  font-feature-settings: "palt";
}
@media (max-width: 1280px) {
  html, body, input, button, textarea, select {
    font-size: 1.25vw;
  }
}
@media (max-width: 768px) {
  html, body, input, button, textarea, select {
    font-size: 3.3333333333vw;
  }
}

body {
  color: var(--bk);
  -webkit-text-size-adjust: 100%;
}
body::-webkit-scrollbar {
  width: 0.25rem;
}
body::-webkit-scrollbar-track {
  background-color: var(--bk10);
}
body::-webkit-scrollbar-thumb {
  background-color: var(--bk30);
}
body * {
  box-sizing: border-box;
  letter-spacing: 0.05em;
}
body *::before, body *::after {
  box-sizing: border-box;
}
body::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  z-index: 12;
  width: 100%;
  height: 100vh;
  pointer-events: none;
  background-color: var(--bk70);
  opacity: 0;
  transition: opacity 0.5s cubic-bezier(0.2, 1, 0.2, 1);
  backdrop-filter: blur(0.625rem);
}
@media (max-width: 768px) {
  body::before {
    backdrop-filter: blur(2.0833333333vw);
    -webkit-backdrop-filter: blur(2.0833333333vw);
  }
}
body.menu-open {
  overflow: hidden;
}
body.menu-open::before {
  opacity: 1;
}
body.menu-open .globalnav {
  transform: translateX(0);
}
body.menu-open .menunav::after {
  content: "閉じる";
}
body.menu-open .menunav button .menunav-icon {
  background-color: transparent !important;
}
body.menu-open .menunav button .menunav-icon::before, body.menu-open .menunav button .menunav-icon::after {
  top: 0;
}
body.menu-open .menunav button .menunav-icon::before {
  transform: translateX(0) rotate(45deg);
}
body.menu-open .menunav button .menunav-icon::after {
  transform: translateX(0) rotate(-45deg);
}

::selection {
  color: var(--wh);
  background-color: var(--bk);
}

a {
  transition: all 0.5s cubic-bezier(0.2, 1, 0.2, 1);
}
a:link, a:visited {
  color: var(--bk);
  text-decoration: underline;
}
a:focus, a:active {
  color: var(--bk);
  text-decoration: none;
}
@media (any-hover: hover) {
  a:hover, a:focus-visible {
    color: var(--key);
    text-decoration: none;
  }
}

img, svg {
  max-width: 100%;
  vertical-align: bottom;
}

strong {
  font-weight: 700;
}

sup {
  vertical-align: super;
  font-size: 60%;
}

input[type=submit], input[type=button], button {
  -webkit-appearance: button;
  appearance: button;
  outline: none;
  padding: 0;
  border: 0 none;
  border-radius: 0;
  background-color: transparent;
  transition: all 0.5s cubic-bezier(0.2, 1, 0.2, 1);
}
input[type=submit]::-webkit-search-decoration, input[type=button]::-webkit-search-decoration, button::-webkit-search-decoration {
  display: none;
}
input[type=submit]:focus, input[type=button]:focus, button:focus {
  outline-offset: -2px;
}

.wrapper {
  position: relative;
  overflow: clip;
}

.sp {
  display: none;
}
@media (max-width: 768px) {
  .sp {
    display: block;
  }
}

.pc {
  display: block;
}
@media (max-width: 768px) {
  .pc {
    display: none;
  }
}

.iv {
  opacity: 0;
  transition: opacity 0.7s linear 0.1s, transform 0.7s cubic-bezier(0.2, 1, 0.2, 1) 0.1s, filter 0.7s cubic-bezier(0.2, 1, 0.2, 1) 0.1s;
}
.iv.inview {
  opacity: 1;
}
.iv.up {
  transform: translateY(3.75rem);
}
@media (max-width: 768px) {
  .iv.up {
    transform: translateY(12.5vw);
  }
}
.iv.up.inview {
  transform: translateY(0);
}
.iv.down {
  transform: translateY(-3.75rem);
}
@media (max-width: 768px) {
  .iv.down {
    transform: translateY(-12.5vw);
  }
}
.iv.down.inview {
  transform: translateY(0);
}
.iv.lin {
  transform: translateX(-3.75rem);
}
@media (max-width: 768px) {
  .iv.lin {
    transform: translateX(-12.5vw);
  }
}
.iv.lin.inview {
  transform: translateX(0);
}
.iv.rin {
  transform: translateX(3.75rem);
}
@media (max-width: 768px) {
  .iv.rin {
    transform: translateX(12.5vw);
  }
}
.iv.rin.inview {
  transform: translateX(0);
}
.iv.zoom {
  transform: scale(0.75);
}
.iv.zoom.inview {
  transform: scale(1);
}
.iv.blur {
  filter: blur(1.25rem);
}
@media (max-width: 768px) {
  .iv.blur {
    filter: blur(4.1666666667vw);
  }
}
.iv.blur.inview {
  filter: blur(0);
}

.nav .btn {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 10rem;
  height: 2.5rem;
  padding: 0.5rem 2.25rem 0.5rem 0.5rem;
  border: 1px solid var(--bk10);
  border-radius: 1.25rem;
  font-size: 1rem;
  font-weight: 700;
  text-align: center;
  text-decoration: none;
  background-color: var(--wh);
}
@media (max-width: 768px) {
  .nav .btn {
    min-width: 33.3333333333vw;
    height: 8.3333333333vw;
    padding: 1.6666666667vw 7.5vw 1.6666666667vw 1.6666666667vw;
    border-radius: 4.1666666667vw;
    font-size: 3.3333333333vw;
  }
}
.nav .btn::before, .nav .btn::after {
  content: "";
  position: absolute;
  aspect-ratio: 1/1;
  transition: transform 0.5s cubic-bezier(0.2, 1, 0.2, 1);
}
.nav .btn::before {
  top: 0.1875rem;
  right: 0.1875rem;
  width: 2rem;
  border-radius: 50%;
  background-color: var(--bk);
}
@media (max-width: 768px) {
  .nav .btn::before {
    top: 0.8333333333vw;
    right: 0.8333333333vw;
    width: 6.6666666667vw;
  }
}
.nav .btn::after {
  top: 0.875rem;
  right: 0.875rem;
  width: 0.625rem;
  background-color: var(--wh);
  mask: url("../images/icon_arrow.svg") no-repeat 50% 50%/contain;
}
@media (max-width: 768px) {
  .nav .btn::after {
    top: 2.9166666667vw;
    right: 2.9166666667vw;
    width: 2.0833333333vw;
  }
}
@media (any-hover: hover) {
  .nav .btn:hover::before, .nav .btn:hover::after {
    transform: scale(1.25);
  }
}

.floating {
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: 13;
  display: flex;
  width: 100%;
  height: 8.75rem;
}
@media (max-width: 768px) {
  .floating {
    bottom: env(safe-area-inset-bottom);
    height: 20.8333333333vw;
    padding: 1.6666666667vw;
  }
}
.floating::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
  background-color: var(--bk80);
  -webkit-backdrop-filter: blur(1rem);
  backdrop-filter: blur(1rem);
}
@media (max-width: 768px) {
  .floating::before {
    top: 1.6666666667vw;
    left: 1.6666666667vw;
    width: calc(100% - 3.3333333333vw);
    height: calc(100% - 3.3333333333vw);
    border-radius: 1.6666666667vw;
    -webkit-backdrop-filter: blur(5vw);
    backdrop-filter: blur(5vw);
  }
}
.floating .onair {
  display: flex;
  justify-content: center;
}
@media (max-width: 768px) {
  .floating .onair {
    flex-direction: column;
    width: 79.1666666667vw;
  }
}
.floating .onair-tv, .floating .onair-radio {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 40rem;
  height: 8.75rem;
  padding: 1rem 2rem;
}
@media (max-width: 768px) {
  .floating .onair-tv, .floating .onair-radio {
    flex-direction: row;
    gap: 3.3333333333vw;
    width: 100%;
    height: 8.75vw;
    padding: 1.6666666667vw 3.3333333333vw;
  }
}
.floating .onair-tv.stopped, .floating .onair-radio.stopped {
  opacity: 0.5;
}
.floating .onair-tv-status, .floating .onair-radio-status {
  display: flex;
  align-items: center;
  gap: 1rem;
}
@media (max-width: 768px) {
  .floating .onair-tv-status, .floating .onair-radio-status {
    flex-grow: 1;
    gap: 1.6666666667vw;
  }
}
.floating .onair-tv-status::before, .floating .onair-radio-status::before {
  content: "";
  width: 2rem;
  aspect-ratio: 1/1;
  background-color: var(--wh);
}
@media (max-width: 768px) {
  .floating .onair-tv-status::before, .floating .onair-radio-status::before {
    width: 5vw;
  }
}
.floating .onair-tv-status h3, .floating .onair-radio-status h3 {
  flex-grow: 1;
  height: 1rem;
  font-size: 0;
  background-color: var(--wh);
  mask: url("../images/en_onair.svg") no-repeat 0 50%/contain;
}
.floating .onair-tv-status h3.stopped, .floating .onair-radio-status h3.stopped {
  mask-image: url("../images/en_offair.svg");
}
@media (max-width: 768px) {
  .floating .onair-tv-status h3, .floating .onair-radio-status h3 {
    height: 1.6666666667vw;
  }
}
@media (max-width: 768px) {
  .floating .onair-tv-status .nav, .floating .onair-radio-status .nav {
    display: none;
  }
}
.floating .onair-tv-program, .floating .onair-radio-program {
  position: relative;
}
@media (max-width: 768px) {
  .floating .onair-tv-program, .floating .onair-radio-program {
    display: flex;
    align-items: center;
    width: 50vw;
  }
  .floating .onair-tv-program.stopped, .floating .onair-radio-program.stopped {
    width: 46.6666666667vw;
  }
}
.floating .onair-tv-program a, .floating .onair-radio-program a {
  text-decoration: none;
}
@media (max-width: 768px) {
  .floating .onair-tv-program > a:not(.onair-tv-timetable):not(.onair-radio-timetable), .floating .onair-radio-program > a:not(.onair-tv-timetable):not(.onair-radio-timetable) {
    flex: 1;
    min-width: 0;
  }
}
.floating .onair-tv-timetable, .floating .onair-radio-timetable {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
}
.floating .onair-tv-item, .floating .onair-radio-item {
  display: flex;
  align-items: center;
}
@media (max-width: 768px) {
  .floating .onair-tv-item, .floating .onair-radio-item {
    overflow: hidden;
  }
}
.floating .onair-tv-information, .floating .onair-radio-information {
  flex: 1;
  min-width: 0;
}
@media (max-width: 768px) {
  .floating .onair-tv-information.marquee, .floating .onair-radio-information.marquee {
    animation: program-marquee var(--scroll-duration, 6s) ease-in-out infinite;
  }
}
.floating .onair-tv-information-wrapper, .floating .onair-radio-information-wrapper {
  display: inline;
  white-space: normal;
}
@media (max-width: 768px) {
  .floating .onair-tv-information-wrapper, .floating .onair-radio-information-wrapper {
    display: inline-block;
    white-space: nowrap;
  }
}
.floating .onair-tv-time, .floating .onair-radio-time {
  margin-right: 0.5em;
  color: var(--wh50);
  font-size: 1rem;
  line-height: 1.5;
}
@media (max-width: 768px) {
  .floating .onair-tv-time, .floating .onair-radio-time {
    font-size: 2.5vw;
  }
}
.floating .onair-tv-title, .floating .onair-tv-message, .floating .onair-radio-title, .floating .onair-radio-message {
  color: var(--wh);
  font-size: 1rem;
  line-height: 1.5;
}
@media (max-width: 768px) {
  .floating .onair-tv-title, .floating .onair-tv-message, .floating .onair-radio-title, .floating .onair-radio-message {
    font-size: 2.5vw;
  }
}
.floating .onair-tv-status::before {
  mask: url("../images/icon_television.svg") no-repeat 50% 50%/contain;
}
.floating .onair-radio::before {
  content: "";
  position: absolute;
  top: 1rem;
  left: 0;
  width: 1px;
  height: calc(100% - 2rem);
  background-color: var(--wh60);
}
@media (max-width: 768px) {
  .floating .onair-radio::before {
    top: 0;
    left: 1.6666666667vw;
    width: calc(100% - 3.3333333333vw);
    height: 1px;
  }
}
.floating .onair-radio-status::before {
  mask: url("../images/icon_radio.svg") no-repeat 50% 50%/contain;
}
.floating .menunav {
  display: none;
}
@media (max-width: 768px) {
  .floating .menunav {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 3.3333333333vw;
    width: 17.5vw;
    aspect-ratio: 1/1;
    padding-top: 1.6666666667vw;
  }
  .floating .menunav::after {
    content: "メニュー";
    color: var(--wh);
    font-size: 2.9166666667vw;
  }
  .floating .menunav button {
    position: relative;
    width: 5vw;
    aspect-ratio: 1/1;
  }
  .floating .menunav-icon {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 5vw;
    height: 2px;
    background-color: var(--wh);
    transition: background-color 0.3s cubic-bezier(0.2, 1, 0.2, 1);
    transform: translate(-50%, -50%);
  }
  .floating .menunav-icon::before, .floating .menunav-icon::after {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    width: 5vw;
    height: 2px;
    background-color: var(--wh);
    transition: all 0.5s cubic-bezier(0.2, 1, 0.2, 1);
  }
  .floating .menunav-icon::before {
    top: -1.6666666667vw;
  }
  .floating .menunav-icon::after {
    top: 1.6666666667vw;
  }
}